### Method

# Vips Image sequential

#### Declaration [src]

    int
    vips_sequential (
      VipsImage* in,
      VipsImage** out,
      ...
    )

#### Description [src]

This operation behaves rather like `vips_copy()` between images `in` and `out`, except that it checks that pixels on `in` are only requested top-to-bottom. This operation is useful for loading file formats which are strictly top-to-bottom, like PNG.

`tile_height` can be used to set the size of the tiles that `vips_sequential()` uses. The default value is 1.

Optional arguments

- `tile_height`: `gint`, height of cache strips

See also

`vips_linecache()`, `vips_tilecache()`.

This method is not directly available to language bindings.

#### Parameters

`out`

  Type: `VipsImage`

  Output image.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.